var class_hologram =
[
    [ "Hologram", "dd/df5/class_hologram.html#a423a2024ad11f5e13c783f21111c8e70", null ],
    [ "~Hologram", "dd/df5/class_hologram.html#a559c44e529f9646b3c10aea5af0f23d5", null ],
    [ "CanFloorBePlacedAtDirection", "dd/df5/class_hologram.html#a16cb223c5f907f70eee881c26211bf96", null ],
    [ "CanRampBePlacedAtDirection", "dd/df5/class_hologram.html#a3d192fb8a5c3e3fef484a140c0c555ef", null ],
    [ "CanStairsBePlacedAtDirection", "dd/df5/class_hologram.html#a4885b5baaa031685405afd3e80b00a49", null ],
    [ "CanWallBePlacedAtDirection", "dd/df5/class_hologram.html#ab6b47c128fd98d8cd80b467a40df3cc0", null ],
    [ "ClearDebugObjects", "dd/df5/class_hologram.html#a08458b3beed99623d53db465db8bc95c", null ],
    [ "CreateDebugObject", "dd/df5/class_hologram.html#ae07c298e80ae019f3916137df1e9c3a7", null ],
    [ "DrawDebugDir", "dd/df5/class_hologram.html#a443bcd5d7ed29b5bfcc2d3e3d90255d1", null ],
    [ "DrawDebugPos", "dd/df5/class_hologram.html#ad1aef4cfa091013c8e5a9f47da3b0b76", null ],
    [ "DrawHighlightedDebugDir", "dd/df5/class_hologram.html#a6b5c1bb8b47aa75d8e7f43c690239fa7", null ],
    [ "DrawHighlightedDebugPos", "dd/df5/class_hologram.html#acd72a103f13fa750ce1af99ca06005e6", null ],
    [ "EvaluateCollision", "dd/df5/class_hologram.html#aa32eb00be6711f92625c61c4b0800706", null ],
    [ "ExpansionCollisionException", "dd/df5/class_hologram.html#a74d6ee25344d5f22b0458856ec7c34f9", null ],
    [ "GenerateSnappingPosition", "dd/df5/class_hologram.html#af42dd2bb4f348520f9f91983bc1c7284", null ],
    [ "GenerateSnappingPositions", "dd/df5/class_hologram.html#a725a3df8def155a64e226295c50c2b08", null ],
    [ "GetPlacingOrientationMS", "dd/df5/class_hologram.html#a442fba95b1fcb4b93cbc6b9cd584c15a", null ],
    [ "GetPlacingParent", "dd/df5/class_hologram.html#a803e0dcb4403481454db899997349349", null ],
    [ "GetPlacingPositionMS", "dd/df5/class_hologram.html#ada98a08adb0a57399de3fb82f3642d37", null ],
    [ "GetPlacingTypeChosen", "dd/df5/class_hologram.html#a91b571fc9e745b67cfe2cc1e41bc630a", null ],
    [ "GetPlacingTypeCount", "dd/df5/class_hologram.html#a640e80fb2940b01585a264f43448d59e", null ],
    [ "GetPointerPosition", "dd/df5/class_hologram.html#a531e18d91b7960e5c6ba003a8fe2cbc3", null ],
    [ "GetPossiblePlacingTypes", "dd/df5/class_hologram.html#ac8b2953c4171ec6e63f66e7fe2279bf3", null ],
    [ "GetProjDirection", "dd/df5/class_hologram.html#a450caa47adba528a4d2bb5c55f2e6a23", null ],
    [ "HandleFloor", "dd/df5/class_hologram.html#af9170ab6663fe9d87d464f6cb41dbcd9", null ],
    [ "HandleRamp", "dd/df5/class_hologram.html#ad6ee112d1f0068e3a9c8814b74c34d4d", null ],
    [ "HandleSnapping", "dd/df5/class_hologram.html#abb9c116614ea16ebedb12a628bcb62a0", null ],
    [ "HandleStairs", "dd/df5/class_hologram.html#a50c82f2e792b53484748651868173892", null ],
    [ "HandleWall", "dd/df5/class_hologram.html#ad7a8b8177f94a7a3843e7b8da40e8194", null ],
    [ "HeightPlacementCheck", "dd/df5/class_hologram.html#a33b8b38c09ce48f8cd4c262d731548e7", null ],
    [ "IsBaseViable", "dd/df5/class_hologram.html#a613550527b484a74848f7ed208d6ffbf", null ],
    [ "IsBehindObstacle", "dd/df5/class_hologram.html#a274c9c2d6ae801a0e6f808b0e3a1671a", null ],
    [ "IsClippingRoof", "dd/df5/class_hologram.html#a0e1fc42d99f803eeaa051ae08265195f", null ],
    [ "IsCollidingAngle", "dd/df5/class_hologram.html#afee2e364e45d4b65391c6a94514978d3", null ],
    [ "IsCollidingBBox", "dd/df5/class_hologram.html#a4583188cd31602b523e054055c581286", null ],
    [ "IsCollidingPlayer", "dd/df5/class_hologram.html#ad5d98ff5d742f7ea98a3d602c64127d3", null ],
    [ "IsFacingCamera", "dd/df5/class_hologram.html#a1bddeacf3b2aa5adbe5333b73c5c9e2b", null ],
    [ "IsUsingSnap", "dd/df5/class_hologram.html#a4ea4c65decc6cc2f20f1180e5d95f8f7", null ],
    [ "NextDirection", "dd/df5/class_hologram.html#a8bc1b4f7ae9b5564f674bf470f930f6f", null ],
    [ "PlaceEntity", "dd/df5/class_hologram.html#a07fd53b59c6bbd4f8aa1261b211b006c", null ],
    [ "PreviousDirection", "dd/df5/class_hologram.html#a214e54e891da046083ff94d57e1c4b3c", null ],
    [ "ProjectionBasedOnParent", "dd/df5/class_hologram.html#aa74c9cacf67733bdd26a8fcfb14a2931", null ],
    [ "SetPlacingTypeChosen", "dd/df5/class_hologram.html#a9af3283507b02ff187cd1ddd499fe61b", null ],
    [ "SetProjDirection", "dd/df5/class_hologram.html#abbe73bd713ba953146c01920c3440fd5", null ],
    [ "SetUsingSnap", "dd/df5/class_hologram.html#a3d74be19d50d9d01527cd20ccf8b3703", null ],
    [ "UpdateHologram", "dd/df5/class_hologram.html#a5fc3d1b73fede9e48b689fcba09e369b", null ],
    [ "m_BBCanSnap", "dd/df5/class_hologram.html#a3acfed196e692a28073a4e810e622ade", null ],
    [ "m_BBSize", "dd/df5/class_hologram.html#a5976fa31d03049c46ddf172f6aaada4e", null ],
    [ "m_BBType", "dd/df5/class_hologram.html#a5c8eaf1bd332139f9516981ff650dd89", null ],
    [ "m_BBxOffset", "dd/df5/class_hologram.html#a8aef0fa28a76411930285c785ed87335", null ],
    [ "m_BBxSize", "dd/df5/class_hologram.html#af9f235d9a49424efc8800ac56f527342", null ],
    [ "m_BByOffset", "dd/df5/class_hologram.html#a9f58ccb1051929b50105cb895c72ccd6", null ],
    [ "m_BBySize", "dd/df5/class_hologram.html#a94b6ec012bbfe0a34fc6c3d7be7e3073", null ],
    [ "m_BBzOffset", "dd/df5/class_hologram.html#a8c52c1a09cb8a04d67098328213093f8", null ],
    [ "m_BBzSize", "dd/df5/class_hologram.html#acfa42b830ace3411f8039391a38efdc5", null ],
    [ "m_DebugDirectionHighlighted", "dd/df5/class_hologram.html#a1b603ef62df745442204be1d021099b8", null ],
    [ "m_DebugDirections", "dd/df5/class_hologram.html#abe71abb185febeb6eb50ab338f40b2d0", null ],
    [ "m_DebugPointerPosition", "dd/df5/class_hologram.html#ac2a7bd8d4983fba6812c3efa89ea5f68", null ],
    [ "m_DebugPositionHighlighted", "dd/df5/class_hologram.html#a3ba6fcfb9bb6786d0ab0d9859c1764a7", null ],
    [ "m_DebugPositions", "dd/df5/class_hologram.html#a5ef0a83a9997caae75f1447936bac502", null ],
    [ "m_DebugProjectionPosition", "dd/df5/class_hologram.html#a0fa0818cbe1317ec8b6bcdc6e80dc868", null ],
    [ "m_ExPointerHitPosition", "dd/df5/class_hologram.html#ab34a1956244abde594397ea6f06dae21", null ],
    [ "m_ExPointerRayEnd", "dd/df5/class_hologram.html#a6b539725c983555b70e906770838b746", null ],
    [ "m_ExPointerRayStart", "dd/df5/class_hologram.html#af5919cede7c9cf7c5ee599c0231923ef", null ],
    [ "m_ExProjectionOrientation", "dd/df5/class_hologram.html#acd569110b29642f3458bd7121b4b14b2", null ],
    [ "m_ExProjectionPosition", "dd/df5/class_hologram.html#a31f3313310ef671880f16e0b24f3d9d8", null ],
    [ "m_OffsetType", "dd/df5/class_hologram.html#afd14860544c00a817a18a5400f6411fc", null ],
    [ "m_OffsetTypeIndex", "dd/df5/class_hologram.html#a79e2394b059ad04110025ceeb54b2d17", null ],
    [ "m_PlacingOrientationMS", "dd/df5/class_hologram.html#a2e7cbfdf8e47d07cbfc44e49d0b74b90", null ],
    [ "m_PlacingParent", "dd/df5/class_hologram.html#a0719ef28692e18fea19b107b2e034375", null ],
    [ "m_PlacingPositionMS", "dd/df5/class_hologram.html#ab8d935b8936acc5d94f17ef32e6feafd", null ],
    [ "m_PlacingTypeChosen", "dd/df5/class_hologram.html#a464970dbc7cd3e88a8022cf4aa0366a0", null ],
    [ "m_PlayerDirection", "dd/df5/class_hologram.html#acea2770a8aed4d455f5728bd7158f3d5", null ],
    [ "m_PlayerHeadPosition", "dd/df5/class_hologram.html#a124f6314865c6afae9e59f7e94031cf4", null ],
    [ "m_PointerPosition", "dd/df5/class_hologram.html#afc6d2000d70e32d0176c1e712ba60931", null ],
    [ "m_projDirection", "dd/df5/class_hologram.html#abafe227c794dc70b0071341dcaeab573", null ],
    [ "m_SnapDirArrIndexChosen", "dd/df5/class_hologram.html#ab0bf183779f3d69338c5dcc6279fa9bb", null ],
    [ "m_SnapDirection", "dd/df5/class_hologram.html#ae63f6bdd6ff4a3fbb9455adf176da3f1", null ],
    [ "m_SnapDirIndexChosen", "dd/df5/class_hologram.html#af4a28610ff5c60635401cc43b764e1db", null ],
    [ "m_SnapDistance", "dd/df5/class_hologram.html#a92823db4036767dffcbbbe0ad52b6de9", null ],
    [ "m_SnapMD", "dd/df5/class_hologram.html#a4d63d5043c1b45706f314bd6950c4277", null ],
    [ "m_SnapMDC", "dd/df5/class_hologram.html#a66ef9e7c6ef6cc99f7087a04040f2b06", null ],
    [ "m_SnapMP", "dd/df5/class_hologram.html#a005200d07242c3f5dd80c76a5e8f087a", null ],
    [ "m_SnapMPC", "dd/df5/class_hologram.html#aa640d94025f46cbdf5be549cb39d7c01", null ],
    [ "m_SnapMVectorC", "dd/df5/class_hologram.html#a9e84980e525523af501fa7ebad5913cd", null ],
    [ "m_SnapPosArrIndexChosen", "dd/df5/class_hologram.html#af66dea787de0e1cfcbd7e1b5e5b24d2f", null ],
    [ "m_SnapPosIndexChosen", "dd/df5/class_hologram.html#a20e303a281f32ba5dff9625d2c65e59f", null ],
    [ "m_SnapPosition", "dd/df5/class_hologram.html#a5be0d34e1d5043425e32e26c18789cad", null ],
    [ "m_SnapWD", "dd/df5/class_hologram.html#a811ac317ee6a3158daf9a67d33fd7f37", null ],
    [ "m_SnapWDC", "dd/df5/class_hologram.html#a34be44185ba8db94f2ad8e5e78e941db", null ],
    [ "m_SnapWP", "dd/df5/class_hologram.html#a1bbd9529947b23ad3fd0ec6d554bd380", null ],
    [ "m_SnapWPC", "dd/df5/class_hologram.html#a2cf224f66e55b2fae1c9a5002f3cb758", null ],
    [ "m_SnapWVector", "dd/df5/class_hologram.html#adfc02f7fbc9f8dfe3c6070bdff9c28be", null ],
    [ "m_UsingSnap", "dd/df5/class_hologram.html#a70cda74268eb4057a8954781bf3f52db", null ]
];